rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
TriggerFileEntry Struct Reference
RPMBUILD.

`#include <build/rpmspec.h>`

Collaboration diagram for TriggerFileEntry:
[legend]

## Data Fields
int | index
char * | fileName
char * | script
char * | prog
struct TriggerFileEntry * | next

## Detailed Description

Definition at line 21 of file rpmspec.h.

## Field Documentation

char* TriggerFileEntry::fileName

Definition at line 24 of file rpmspec.h.

Referenced by addTriggerIndex(), freeTriggerFiles(), and processScriptFiles().

int TriggerFileEntry::index

Definition at line 22 of file rpmspec.h.

Referenced by addTriggerIndex().

struct TriggerFileEntry* TriggerFileEntry::next

Definition at line 30 of file rpmspec.h.

Referenced by addTriggerIndex(), freeTriggerFiles(), and processScriptFiles().

char* TriggerFileEntry::prog

Definition at line 28 of file rpmspec.h.

Referenced by addTriggerIndex(), freeTriggerFiles(), and processScriptFiles().

char* TriggerFileEntry::script

Definition at line 26 of file rpmspec.h.

Referenced by addTriggerIndex(), freeTriggerFiles(), and processScriptFiles().

The documentation for this struct was generated from the following file:

- build/rpmspec.h